%define version  3.0.6
%define release  %mkrel 14
%define rname Maelstrom
%define name maelstrom

Summary:	SDL port of Maelstrom asteroids game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Games/Arcade
Source0:	http://www.libsdl.org/projects/Maelstrom/src/%{rname}-%{version}.tar.bz2
Source10:	%{rname}.16.png
Source11:	%{rname}.32.png
Source12:	%{rname}.48.png
Patch1:		%{rname}-3.0.6-scorefile.patch
Patch2:		%{rname}-3.0.6-datadir.patch
Patch3:		%{rname}-3.0.6-gcc3.4.patch
Patch4:		%{rname}-3.0.6-64bit-fixes.patch
URL:		http://www.libsdl.org/projects/Maelstrom/
BuildRequires:	SDL_net-devel
BuildRequires:	SDL-devel
%rename		%{rname}

%description
Maelstrom is a rockin' asteroids game ported from the Macintosh
Originally written by Andrew Welch of Ambrosia Software, and ported
to UNIX and then SDL by Sam Lantinga <slouken@devolution.com>

%prep
%setup -q -n %{rname}-%{version}
%patch1 -b .scores
%patch2 -p1 -b .libdir
%patch3 -p1
%patch4 -p1 -b .64bit-fixes

touch ChangeLog NEWS AUTHORS

%build
autoreconf -fi
%configure2_5x --disable-rpath --bindir=%{_gamesbindir} --libdir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std GAME_INSTALLDIR=%{buildroot}/%{_gamesdatadir}/%{rname}
install -D -m755 %{rname} %{buildroot}/%{_gamesbindir}/%{rname}
install -D -m755 %{rname}-netd %{buildroot}/%{_gamesbindir}/%{rname}-netd

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mageia-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{rname}
Name=%{rname}
Comment=Asteroids game
Categories=Game;ArcadeGame;
Icon=%{rname}
EOF

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/var/lib/games/
mv %{buildroot}%{_gamesdatadir}/%{rname}/%{rname}-Scores %{buildroot}/var/lib/games/%{rname}-Scores

%clean
rm -rf %{buildroot}

%files
%doc COPYING CREDITS README* Changelog Docs
%attr(2755,root,games) %{_gamesbindir}/%{rname}*
%{_gamesdatadir}/%{rname}
%{_datadir}/applications/mageia-*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*
%attr(0664,root,games) /var/lib/games/%{rname}-Scores


%changelog

* Sun Feb 05 2012 luigiwalser <luigiwalser> 3.0.6-14.mga2
+ Revision: 205061
- obsolete Maelstrom

* Sun Feb 05 2012 luigiwalser <luigiwalser> 3.0.6-13.mga2
+ Revision: 205013
- fix license
- clean spec
- rename Maelstrom to maelstrom
- imported package Maelstrom

